#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,s=0,v1,v2;
    cin>>n>>m;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    for(int i=0;i<m;i++)
    {
        cin>>v1>>v2;
        s+=abs(a[v1-1]+a[v2-1]);
    }
    cout<<s;
}